ClarisWksDatabase Class Reference

the main class to read the text part of Claris Works file More...

`#include <ClarisWksDatabase.hxx>`

## Public Member Functions

| ClarisWksDatabase (ClarisWksDocument &document)
| constructor
virtual | ~ClarisWksDatabase ()
| destructor
int | version () const
| returns the file version
int | numPages () const
| returns the number of pages
std::shared_ptr< ClarisWksStruct::DSET > | readDatabaseZone (ClarisWksStruct::DSET const &zone, MWAWEntry const &entry, bool &complete)
| reads the zone Text DSET
bool | canSendDatabaseAsGraphic (int) const
| check if we can send a database as graphic
bool | sendDatabase (int number, MWAWListenerPtr listener)
| sends the zone data to the listener (if it exists )

## Protected Member Functions

bool | readFields (ClarisWksDatabaseInternal::Database &dBase)
| try to read the database structure
bool | readDefaults (ClarisWksDatabaseInternal::Database &dBase)
| try to read the default structure
bool | readLayout (ClarisWksDatabaseInternal::Database &dBase)
| try to read the layout structures

## Protected Attributes

ClarisWksDocument & | m_document
| the document
MWAWParserStatePtr | m_parserState
| the parser state
std::shared_ptr< ClarisWksDatabaseInternal::State > | m_state
| the state
MWAWParser * | m_mainParser
| the main parser;

## Private Member Functions

| ClarisWksDatabase (ClarisWksDatabase const &)=delete
ClarisWksDatabase & | operator= (ClarisWksDatabase const &)=delete

## Friends

class | ClarisWksParser

## Detailed Description

the main class to read the text part of Claris Works file

## Constructor & Destructor Documentation

## ClarisWksDatabase() [1/2]

ClarisWksDatabase::ClarisWksDatabase | ( | ClarisWksDocument & | document | ) |

explicit

constructor

Referenced by ClarisWksDatabase(), and operator=().

## ~ClarisWksDatabase()

ClarisWksDatabase::~ClarisWksDatabase | ( |  | ) |

virtual

destructor

## ClarisWksDatabase() [2/2]

ClarisWksDatabase::ClarisWksDatabase | ( | ClarisWksDatabase const & |  | ) |

private delete

## Member Function Documentation

## canSendDatabaseAsGraphic()

bool ClarisWksDatabase::canSendDatabaseAsGraphic | ( | int |  | ) | const

inline

check if we can send a database as graphic

## numPages()

int ClarisWksDatabase::numPages | ( |  | ) | const

returns the number of pages

## operator=()

ClarisWksDatabase & ClarisWksDatabase::operator= | ( | ClarisWksDatabase const & |  | ) |

private delete

## readDatabaseZone()

std::shared_ptr< ClarisWksStruct::DSET > ClarisWksDatabase::readDatabaseZone | ( | ClarisWksStruct::DSET const & | zone,
|  | MWAWEntry const & | entry,
|  | bool & | complete )

reads the zone Text DSET

## readDefaults()

bool ClarisWksDatabase::readDefaults | ( | ClarisWksDatabaseInternal::Database & | dBase | ) |

protected

try to read the default structure

Referenced by readDatabaseZone().

## readFields()

bool ClarisWksDatabase::readFields | ( | ClarisWksDatabaseInternal::Database & | dBase | ) |

protected

try to read the database structure

find f1=600 for a number f16 = 0[checkbox, ... ], 2[number or text],3 [name field], 82[value list], f16 & 8: can not be empty

Referenced by readDatabaseZone().

## readLayout()

bool ClarisWksDatabase::readLayout | ( | ClarisWksDatabaseInternal::Database & | dBase | ) |

protected

try to read the layout structures

Referenced by readDatabaseZone().

## sendDatabase()

bool ClarisWksDatabase::sendDatabase | ( | int | number,
|  | MWAWListenerPtr | listener )

sends the zone data to the listener (if it exists )

## version()

int ClarisWksDatabase::version | ( |  | ) | const

returns the file version

Referenced by readDatabaseZone(), readDefaults(), and readFields().

## Friends And Related Symbol Documentation

## ClarisWksParser

friend class ClarisWksParser

friend

Referenced by ClarisWksParser.

## Member Data Documentation

## m_document

ClarisWksDocument& ClarisWksDatabase::m_document

protected

the document

Referenced by ClarisWksDatabase(), readDatabaseZone(), readDefaults(), and sendDatabase().

## m_mainParser

MWAWParser* ClarisWksDatabase::m_mainParser

protected

the main parser;

Referenced by ClarisWksDatabase().

## m_parserState

MWAWParserStatePtr ClarisWksDatabase::m_parserState

protected

the parser state

Referenced by ClarisWksDatabase(), readDatabaseZone(), readDefaults(), readFields(), readLayout(), sendDatabase(), and version().

## m_state

std::shared_ptr<ClarisWksDatabaseInternal::State> ClarisWksDatabase::m_state

protected

the state

Referenced by ClarisWksDatabase(), readDatabaseZone(), and sendDatabase().

The documentation for this class was generated from the following files:

- ClarisWksDatabase.hxx
- ClarisWksDatabase.cxx